package org.project.entity;

public interface Entity {

    String defend();

    void heal(int health);

    void fillMana(int mana);

    void takeDamage(int damage);

    int getMaxHP();

    int getMaxMP();

    void LightAttack(Entity target, int damage);

    void HeavyAttack(Entity target, int damage);
    boolean isAlive();
    int getHp();
    int getMp();

}
